# Interface methods for submodule: TemporalProcessObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: TemporalProcessObject
class TemporalProcessObjectProxy(_ProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def EnlargeOutputRequestedRegion(self, output) -> None:
		""""""
		...

	def GenerateOutputRequestedRegion(self, output) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def GetUnitInputNumberOfFrames(self) -> int:
		""""""
		...

	def GetUnitOutputNumberOfFrames(self) -> int:
		""""""
		...

	def UpdateOutputInformation(self) -> None:
		""""""
		...

	def UpdateOutputData(self, output) -> None:
		""""""
		...

	def GenerateData(self) -> None:
		""""""
		...

	def TemporalStreamingGenerateData(self) -> None:
		""""""
		...

